Bug 1295194 - spandsp contain problematic content
spandsp contain problematic content
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spandsp (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2016-01-03 07:36 EST by mejiko
Modified: 2017-07-11 23:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: spandsp-0.0.6-3.fc26 spandsp-0.0.6-3.fc24 spandsp-0.0.6-3.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 16:54:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mejiko 2016-01-03 07:36:15 EST
Hello.

spandsp included non-free image. 
This is "Lena" (Lenna) image. (TIF file)

This file license (Copyright) is non-free, and this content is violate Fedora Packaging Guideline.

https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content

Thanks.
Comment 1 mejiko 2016-01-04 03:48:29 EST
I check source RPM (*.src.rpm) and source archive (E,g tar.gz, etc...).
Not Binary RPM (*.rpm).

Thanks.
Comment 2 mejiko 2016-01-04 05:15:20 EST
Additional Information

File Path:

"spandsp-0.0.6/test-data/local/lenna-colour.tif"


Why non-free ?

This file is copyrighted, and not fedora acceptable licensed content. 

Reference:
https://lintian.debian.org/tags/license-problem-non-free-img-lenna.html
Comment 3 Jan Kurik 2016-02-24 09:12:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora Admin XMLRPC Client 2016-11-29 16:34:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2017-02-28 04:52:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 6 Fedora Update System 2017-06-26 11:26:24 EDT
spandsp-0.0.6-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c31d6c3c3b
Comment 7 Fedora Update System 2017-06-26 23:23:55 EDT
spandsp-0.0.6-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c31d6c3c3b
Comment 8 Fedora Update System 2017-06-27 02:26:11 EDT
spandsp-0.0.6-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ad269e8663
Comment 9 Fedora Update System 2017-06-27 10:52:05 EDT
spandsp-0.0.6-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d3b5188cb0
Comment 10 Fedora Update System 2017-07-11 16:54:02 EDT
spandsp-0.0.6-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2017-07-11 21:49:56 EDT
spandsp-0.0.6-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2017-07-11 23:21:41 EDT
spandsp-0.0.6-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.